<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: managedBean (extends AbstractPDQPDC)
         inserts: additionalParameters, queryByVisitParameters -->
    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
        <ui:define name="panel_title">#{messages['gazelle.simulator.pam.DemographicInformation']}</ui:define>
        <div class="row">
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.FirstName']}</ui:define>
                    <ui:param name="id" value="fnameinput"/>
                    <h:inputText id="fnameinput" styleClass="form-control"
                                 value="#{managedBean.patientCriteria.firstName}"/>
                </s:decorate>
            </div>
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.patgen.SecondName']}</ui:define>
                    <ui:param name="id" value="secnameinput"/>
                    <h:inputText id="secnameinput" styleClass="form-control"
                                 value="#{managedBean.patientCriteria.secondName}"/>
                </s:decorate>
            </div>
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.patgen.ThirdName']}</ui:define>
                    <ui:param name="id" value="thnameinput"/>
                    <h:inputText id="thnameinput" styleClass="form-control"
                                 value="#{managedBean.patientCriteria.thirdName}"/>
                </s:decorate>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.LastName']}</ui:define>
                    <ui:param name="id" value="lnameinput"/>
                    <h:inputText id="lnameinput" styleClass="form-control"
                                 value="#{managedBean.patientCriteria.lastName}"/>
                </s:decorate>
            </div>
            <div class="col-md-4">
                <!-- ITI TF Suppl issue PDQm_100: currently no way to query on mothersMaidenName-->
                <s:decorate template="/layout/form/_edit.xhtml"
                            rendered="#{not (managedBean.selectedTransaction.keyword.equals('ITI-78') or managedBean.isEPDDomain())}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.MothersMaidenName']}</ui:define>
                    <ui:param name="id" value="mmninput"/>
                    <h:inputText id="mmninput" styleClass="form-control"
                                 value="#{managedBean.patientCriteria.motherMaidenName}"/>
                </s:decorate>
            </div>
        </div>
        <s:decorate template="/layout/panels/_panel_collapse.xhtml"
                    rendered="#{not (managedBean.selectedTransaction.keyword.equals('ITI-78'))}">
            <ui:param name="panel_id" value="alternatenames"/>
            <ui:param name="openByDefault" value="false"/>
            <ui:define name="panel_title">#{messages['net.ihe.gazelle.patientmanager.AlternateNamesclickToOpen']})</ui:define>
            <div class="row">
                <div class="col-md-4">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.FirstName']}</ui:define>
                        <ui:param name="id" value="altfnameinput"/>
                        <h:inputText id="altfnameinput" styleClass="form-control"
                                     value="#{managedBean.patientCriteria.alternateFirstName}"/>
                    </s:decorate>
                </div>
                <div class="col-md-4">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.patgen.SecondName']}</ui:define>
                        <ui:param name="id" value="altsecnameinput"/>
                        <h:inputText id="altsecnameinput" styleClass="form-control"
                                     value="#{managedBean.patientCriteria.alternateSecondName}"/>
                    </s:decorate>
                </div>
                <div class="col-md-4">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.patgen.ThirdName']}</ui:define>
                        <ui:param name="id" value="altthnameinput"/>
                        <h:inputText id="altthnameinput" styleClass="form-control"
                                     value="#{managedBean.patientCriteria.alternateThirdName}"/>
                    </s:decorate>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.LastName']}</ui:define>
                        <ui:param name="id" value="altlnameinput"/>
                        <h:inputText id="altlnameinput" styleClass="form-control"
                                     value="#{managedBean.patientCriteria.alternateLastName}"/>
                    </s:decorate>
                </div>
            </div>
        </s:decorate>
        <div class="row">
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.PatientManager.DateOfBirth']}</ui:define>
                    <ui:param name="id" value="dobinput"/>
                    <rich:calendar id="dobinput" value="#{managedBean.patientCriteria.dateOfBirth}"
                                   locale="#{localeSelector.localeString}"
                                   datePattern="dd/MM/yyyy" showApplyButton="false" style="width:200px">
                    </rich:calendar>
                </s:decorate>
            </div>
            <div class="col-md-4">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.AdministrativeSex']}</ui:define>
                    <ui:param name="id" value="sexinput"/>
                    <h:inputText id="sexinput" styleClass="form-control"
                                 value="#{managedBean.patientCriteria.genderCode}"/>
                </s:decorate>
            </div>
        </div>
        <s:div id="patIds">
            <h2>
                <h:outputText value="#{messages['gazelle.pam.PatientIdentifiers']}"/>
                <a4j:commandLink actionListener="#{managedBean.addPatientIdentifierCriteria()}"
                                 render="patIds"
                                 rendered="#{empty managedBean.patientCriteria.patientIdentifiers
                                    or (managedBean.selectedTransaction.keyword.equals('ITI-47')
                                        or (managedBean.selectedTransaction.keyword.equals('ITI-55') and not(managedBean.isEPDDomain())))}">
                    <span class="gzl-icon-plus" title="Add a patient identifier"/>
                </a4j:commandLink>
            </h2>
            <a4j:repeat value="#{managedBean.patientCriteria.patientIdentifiers}"
                        var="curpid" rendered="#{not empty managedBean.patientCriteria.patientIdentifiers}">
                <f:subview>
                    <ui:include src="/pdq/editPatientIdentifier.xhtml">
                        <ui:param name="currentIdentifier" value="#{curpid}"/>
                        <ui:param name="managedBean" value="#{managedBean}"/>
                    </ui:include>
                </f:subview>
            </a4j:repeat>
        </s:div>
        <ui:insert name="additionalParameters"/>
        <!-- we don't want the address section to be displayed for CH:XCPD-->
        <s:div id="addressesDiv"
            rendered="#{not(managedBean.selectedTransaction.keyword.equals('ITI-55'))
                or not(managedBean.isEPDDomain())}">
            <h2>
                <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.Addresses']} "/>
                <a4j:commandLink actionListener="#{managedBean.addAddressCriteria()}"
                                 render="addressesDiv"
                                 rendered="#{managedBean.isPatientAddressListEmpty() or (managedBean.selectedTransaction.keyword.equals('ITI-47') or managedBean.selectedTransaction.keyword.equals('ITI-55'))}">
                    <span class="gzl-icon-stack" title="Add a Patient Address">
                        <i class="fa fa-map-marker gzl-icon-stack-1x"/>
                        <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"/>
                    </span>
                </a4j:commandLink>
                <a4j:commandLink actionListener="#{managedBean.addBirthplaceCriteria()}"
                                 render="addressesDiv"
                                 rendered="#{(managedBean.selectedTransaction.keyword.equals('ITI-47') or managedBean.selectedTransaction.keyword.equals('ITI-55')) and managedBean.isBirthPlaceAddressEmpty()}">
                    <span class="gzl-icon-stack" title="Add a Birth place">
                        <i class="fa fa-hospital-o gzl-icon-stack-1x"/>
                        <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"/>
                    </span>
                </a4j:commandLink>
            </h2>
            <s:div rendered="#{managedBean.isPatientAddressListEmpty()}" styleClass="gzl-alert gzl-alert-blue">
                <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.NoPatientAddressDefinedYet']}"/>
            </s:div>
            <a4j:repeat value="#{managedBean.patientCriteria.addressList}" var="patAddress">
                <gri:panel>
                    <f:facet name="header">
                        <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.BirthPlace']}" rendered="#{patAddress.addressType == 'BIRTH'}"/>
                        <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.PatientAddress']}"
                                      rendered="#{patAddress.addressType == null or patAddress.addressType != 'BIRTH'}"/>
                    </f:facet>
                    <ui:include src="/patient/addressEdit.xhtml">
                        <ui:param name="addrToEdit" value="#{patAddress}"/>
                        <ui:param name="advancedEdit" value="#{false}"/>
                    </ui:include>
                </gri:panel>
            </a4j:repeat>
        </s:div>
        <!-- CH-PDQ-001 -->
        <s:div id="phoneNumbers" rendered="#{not (managedBean.isEPDDomain())}">
            <h2>
                <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.PhoneNumbers']}"/>
                <a4j:commandLink actionListener="#{managedBean.addPhoneNumberCriteria()}"
                                 rendered="#{managedBean.isPhoneNumberListEmpty() or (managedBean.selectedTransaction.keyword.equals('ITI-47') or managedBean.selectedTransaction.keyword.equals('ITI-55'))}"
                                 render="phoneNumbers">
                     <span class="gzl-icon-stack" title="add a phone number">
                        <i class="fa fa-phone gzl-icon-stack-1x"/>
                        <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"/>
                    </span>
                </a4j:commandLink>
            </h2>
            <s:div rendered="#{managedBean.isPhoneNumberListEmpty()}" styleClass="gzl-alert gzl-alert-blue">
                <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.NoPhoneNumberDefinedYet']}"/>
            </s:div>
            <a4j:repeat value="#{managedBean.patientCriteria.phoneNumbers}" var="pn">
                <div class="row">
                    <div class="col-lg-4">
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:define name="label">#{messages['gazelle.simulator.pam.PhoneNumber']}</ui:define>
                            <ui:param name="id" value="pnInput"/>
                            <h:inputText id="pnInput" styleClass="form-control"
                                         value="#{pn.value}"/>
                        </s:decorate>
                    </div>
                    <div class="col-lg-4">
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.Use']}</ui:define>
                            <ui:param name="id" value="pnUse"/>
                            <h:selectOneMenu id="pnUse" styleClass="form-control"
                                             value="#{pn.type}">
                                <f:selectItems value="#{managedBean.getAvailablePhoneUse()}"/>
                            </h:selectOneMenu>
                        </s:decorate>
                    </div>
                </div>
            </a4j:repeat>
        </s:div>
        <ui:define name="panel_footer">
            <a4j:commandButton value="#{messages['gazelle.pam.CleanUpQueryParameters']}"
                               actionListener="#{managedBean.cleanUpQuery()}"
                               render="globalDiv"
                               styleClass="gzl-btn"/>
        </ui:define>
    </ui:decorate>
    <ui:insert name="queryByVisitParameters"/>
    <s:decorate template="/layout/panels/_panel_title.xhtml"
                rendered="#{displayOptions}">
        <ui:define name="panel_title">#{messages['gazelle.simulator.pam.AdditionalInformation']}</ui:define>
        <s:decorate template="/layout/form/_edit.xhtml" id="domainsList">
            <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.WhichDomainsAreReturned']}</ui:define>
            <ui:param name="id" value="dtr"/>
            <a4j:repeat value="#{managedBean.domainsReturned}" var="aa">
                <div class="row">
                    <h:outputText
                            value="#{aa.namespace}&amp;#{aa.universalId}&amp;#{aa.universalIdType}"
                            rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-21') or managedBean.selectedTransaction.keyword.equals('ITI-22')}"/>
                    <h:outputText
                            value="#{aa.universalId}"
                            rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-47') or managedBean.selectedTransaction.keyword.equals('ITI-78')}"/>
                    <span style="width: 5px"/>
                    <a4j:commandLink actionListener="#{managedBean.removeAssigningAuthorityFromDomains(aa)}"
                                     render="domainsList"
                                     title="#{messages['gazelle.simulator.pam.RemoveThisDomain']}">
                        <s:span styleClass="gzl-icon-minus "/>
                    </a4j:commandLink>
                </div>
            </a4j:repeat>
            <s:div styleClass="form-inline"
                   rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-21') or managedBean.selectedTransaction.keyword.equals('ITI-22')}">
                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:param name="id" value="dtr"/>
                    <ui:define name="label">#{messages['gazelle.simulator.pam.DomainsNamespace']}</ui:define>
                    <h:inputText id="dtr" styleClass="form-control"
                                 value="#{managedBean.currentDomainReturned.namespace}"/>
                </ui:decorate>
                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:param name="id" value="dtr2"/>
                    <ui:define name="label">#{messages['gazelle.simulator.pam.DomainsUniversalID']}</ui:define>
                    <h:inputText id="dtr2"
                                 value="#{managedBean.currentDomainReturned.universalId}"
                                 styleClass="form-control"/>
                </ui:decorate>
                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:param name="id" value="dtr3"/>
                    <ui:define name="label">#{messages['gazelle.simulator.pam.DomainsUniversalIDType']}</ui:define>
                    <h:inputText id="dtr3"
                                 value="#{managedBean.currentDomainReturned.universalIdType}"
                                 styleClass="form-control"/>

                </ui:decorate>
                <a4j:commandButton value="#{messages['gazelle.simulator.pam.AddDomainToList']}"
                                   actionListener="#{managedBean.addAssigningAuthorityToDomains()}"
                                   render="domainsList" styleClass="gzl-btn-blue"/>
            </s:div>
            <div class="row">
                <s:div styleClass="form-horizontal col-md-6"
                       rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-47') or managedBean.selectedTransaction.keyword.equals('ITI-78')}">
                    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="dtr4"/>
                        <ui:define name="label">
                            <h:outputText value="#{messages['gazelle.simulator.pam.DomainsUniversalID']}"
                                          rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-47')}"/>
                            <h:outputText value="#{messages['net.ihe.gazelle.patientmanager.SystemsURN']}"
                                          rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-78')}"/>
                        </ui:define>
                        <h:inputText id="dtr4"
                                     value="#{managedBean.currentDomainReturned.universalId}"
                                     styleClass="form-control"/>
                    </ui:decorate>
                </s:div>
                <div class="col-md-2">
                    <a4j:commandButton styleClass="gzl-btn-blue"
                                       value="#{messages['gazelle.simulator.pam.AddDomainToList']}"
                                       actionListener="#{managedBean.addAssigningAuthorityToDomains()}"
                                       render="domainsList"/>
                </div>
                <div class="col-md-4"></div>
            </div>
        </s:decorate>
        <s:div styleClass="row form-horizontal" rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-78')}">
            <div class="col-md-6">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:param name="id" value="responseFormatDecorate"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.ResponseFormat']}</ui:define>
                    <h:selectOneRadio required="true" value="#{managedBean.responseType}" id="responseFormatDecorate">
                        <f:selectItems value="#{managedBean.getAvailableResponseTypes()}"/>
                    </h:selectOneRadio>
                </s:decorate>
            </div>
            <div class="col-md-6"></div>
        </s:div>
        <s:div styleClass="row form-horizontal">
            <div class="col-md-6">
                <ui:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                    <ui:param name="id" value="limitCB"/>
                    <h:selectBooleanCheckbox value="#{managedBean.limit}"
                                             id="limitCB">
                        <a4j:ajax event="change" render="setLimitDecorate"/>
                    </h:selectBooleanCheckbox>
                    #{messages['gazelle.simulator.pam.LimitNumberOfResponses']}
                </ui:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" id="setLimitDecorate">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.LimitValue']}</ui:define>
                    <ui:param name="id" value="limitVal"/>
                    <rich:inputNumberSpinner value="#{managedBean.limitValue}" minValue="1"
                                             rendered="#{managedBean.limit}" id="limitVal"/>
                    <h:outputText value="#{messages['gazelle.simulator.pam.NA']}" rendered="#{not managedBean.limit}"/>
                </s:decorate>
            </div>
            <div class="col-md-6"></div>
        </s:div>

    </s:decorate>
</ui:composition>